Bug 52730 - Re-enable AVAudioSessionInterruptionEventArgs.WasSuspended post xcode8.3 merge
Summary: Re-enable AVAudioSessionInterruptionEventArgs.WasSuspended post xcode8.3 merge
Status: RESOLVED FIXED
Alias: None
Product: iOS
Classification: Xamarin
Component: Xamarin.iOS.dll (show other bugs)
Version: XI 10.5.99 (Xcode 8.3 previews)
Hardware: PC Mac OS
: --- normal
Target Milestone: 15.2
Assignee: Alex Soto [MSFT]
URL:
Depends on:
Blocks:
 
Reported: 2017-02-24 01:43 UTC by Sebastien Pouliot
Modified: 2017-04-14 12:45 UTC (History)
2 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Sebastien Pouliot 2017-02-24 01:43:01 UTC
so we can use `[BindAs]` instead of an `NSNumber` that contains a `bool`

> Value is a boolean NSNumber,

^ that's likely a `bool?`
Comment 1 Sebastien Pouliot 2017-02-24 02:05:48 UTC
disabling PR https://github.com/xamarin/xamarin-macios/pull/1713
Comment 2 Sebastien Pouliot 2017-02-24 02:07:06 UTC
^ first PR

actual PR that disable the API https://github.com/xamarin/xamarin-macios/pull/1761
Comment 3 Sebastien Pouliot 2017-03-25 17:14:51 UTC
Xcode 8.3 takes longer than anticipated, updating milestone
Comment 4 Alex Soto [MSFT] 2017-03-30 03:31:19 UTC
PR: https://github.com/xamarin/xamarin-macios/pull/1937
Comment 5 Alex Soto [MSFT] 2017-03-30 17:16:13 UTC
Fixed in xamarin-macios/master @ 3ba72b2136f4d90e8550f5620213c01e542a24b4
Comment 6 Swati Gangrade 2017-04-14 12:45:42 UTC
@Sebastien Pouliot, @Alex Soto- Can u please provide me the steps to reproduce this issue or can any one retested this bug as it is an unit testing bug